\begin{frame}{Gitlab notifications}
    \begin{itemize}
        \item Default notifications: Emails
        \begin{itemize}
            \item Participants to commit receive (failed / fixed) pipeline status
            \item Can be parameterized via \emph{Project -> Settings -> Integrations -> Pipeline status email}
        \end{itemize}
 
    \item Extraneous notifications via Webhooks
    \begin{itemize}
        \item Target system gives a (secret) token
        \item You can use this token to send status updates to (e.g. chat systems, phone \dots)
    \end{itemize}
    
     \item Extraneous notifications via Gitlab Application Integration
     \begin{itemize}
        \item Gitlab provides several predefined application integration services in  \emph{Project -> Settings -> Integrations}.
        \item Some supported applications are: Mattermost, Discord, IRC, Google chat, Slack, \dots
        
    \end{itemize}
    
    \end{itemize}
    
\end{frame}